Subject: Re: [devuan-dev] bug#490: gpsd: Current version of gpsd does not install /etc/init.d/gpsd and fails to start

From: Mark Hindley <[email-masked]>
Date: Thu, 16 Jul 2020 11:16:10 +0100

On Wed, Jul 15, 2020 at 06:14:10PM +0300, [email-masked] wrote:
>    Hi Mark,
>    I have done the initial fork effort, also fixed some things that were,
>    IMHO, problems in the original package. From what I see, there is lots
>    more work to do for this package, but at least I think that it is OK
>    for a review.

Thanks.

>    I could test it on aarch64 and amd64, but only via
>    debuild/dpkg-buildpackage. Setting up a proper build env with chroots,
>    cross, etc is not a thing that I know how to do...

The documentation is here:
https://git.devuan.org/devuan/documentation/src/branch/master/maintainers/PackagingGuide.md

You will need to follow that. Out package builder uses git buildpackage and your
repo doesn't build with that ATM.

Ping me on #devuan-dev if you need more help.

It might be worth asking the Debian maintainer to update their tree and then you
can just import it with history.

>    I saw in the gpsd package change log that sysvinit stuff was removed
>    because it was causing problems with systemd; what concerns me is that
>    in case these reasons are valid (and most probably they are) then the
>    same is going to happen with many other packages.

Possibly :(

Thanks

Mark